
Figure - Bug #118289
【IOVDEV-30071】【内部】【VC1】【0095】【台架】【EE环境】【副屏】【蓝牙】副屏与奕狐蓝牙手柄进
行连接配对成功后，重新进行配对连接，无法自动连接
2023-05-26 20:32 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-26

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0082.c101����【副屏版本号】：01.00.0095.c103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230523 15：06

【前提条件】：副屏上电，奕狐手柄设备已连接过

【操作步骤】

1.重新打开副屏蓝牙

【实际结果】

1.无法进行自动连接

【期望结果】

1.正常进行自动连接

【备注】：

第143次开机

另一个北通蓝牙手柄可以自动重连

日志、视频地址：https://ofs.human-horizons.com/#/download/index/6sMHL6pC4nM%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0082.c101

【副屏版本号】：01.00.0095.c103

History

#1 - 2023-05-27 10:07 - CD FW-廖涛

- Category changed from CD-FW to LC

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-廖涛 to CD LC 陶洪普

Hi, 洪普：

麻烦帮忙分析下这个问题。
#2 - 2023-05-30 17:31 - 短距组_SSRDCNJ 蒋俊杰

【结论】：log没抓到有效内容。看视频认为可能是测试在第二次连接时长按Home键重置了手柄，导致需要重新配对才能连接。

【下一步计划】：测试确认测试手法是否正确，复现提供HCIlog

#3 - 2023-05-31 10:05 - CD LC 陶洪普

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC 陶洪普 to CDTS_Test 吴诗雨

Hi

Log_507_080_20230523150758.log

这个日志开始于05-23 15:07:34，　结束在15:07:58，　在这段日志中没有Bluetooth的日志信息．

－－－－－－－－

ro.build.display.id=03.02.0082.C102.02_userdebug_2305191401

---------

05-23 15:07:34.677   921  1197 D HCOMHAL_api: onSendDataResult >>     :  s  s  "  ,  .           "  p  a  r  a  m  e  t  e  r  s  "     :     {  .                                     ．．．

05-23 15:07:58.492  2318  2318 D FenceLayoutUtils.java:  getDrawingRect() The startFenceY is 1

从该现象描述看，是在连接后，关闭蓝牙，再打开．手柄设备应该发起重连（日志中没有bluetooth日志）

确认该问题，请抓取HCI（包含在tlog）和 使用蓝牙抓包仪抓取空中包来确认是否手柄发起了连接．

#4 - 2023-06-03 14:06 - CD TEST-方永红

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_Test 吴诗雨 to CD LC 陶洪普

#5 - 2023-06-06 10:43 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118289

#6 - 2023-06-06 14:45 - 短距组_SSRDCNJ 蒋俊杰

- File Security.png added

118289HCI日志从14：24：18开始，但是问题时间在14：21左右，未记录到。

bugreport日志分析如下：

06-03 14:21:53.454  1000  1541  1541 D CompanionDeviceManagerService: 98:B6:E9:E0:80:56 disconnected w/ reason: (1105) Security

断连原因与security有关，可能的原因是获取不到对方link key或对方拒绝配对。可参考代码中对1105的注解如截图所示。

【结论】：估计是对端问题。没有对应时间点的HCI日志故无法肯定。

#7 - 2023-06-14 16:47 - CD LC 陶洪普

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC 陶洪普 to CDTS_Test 吴诗雨

已更新JIRA
#8 - 2023-07-04 17:46 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

HCI日志从14：24：18开始，但是问题时间在14：21左右，未记录到。

bugreport日志分析如下：

06-03 14:21:53.454 1000 1541 1541 D CompanionDeviceManagerService: 98:B6:E9:E0:80:56 disconnected w/ reason: (1105) Security

断连原因与security有关，可能的原因是获取不到对方link key或对方拒绝配对。

对ERROR  1105 说明，是手柄设备未Ready.

#9 - 2023-07-04 17:47 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#10 - 2023-07-04 17:47 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

Log_507_080_20230523150758.log 10 MB 2023-05-26 CDTS_Test 吴诗雨

飞书20230523-202947.mp4 13.8 MB 2023-05-26 CDTS_Test 吴诗雨

Security.png 4.9 KB 2023-06-06 短距组_SSRDCNJ 蒋俊杰
